> ## Documentation Index
> Fetch the complete documentation index at: https://docs.browserbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Invocations for a Function Version



## OpenAPI

````yaml get /v1/functions/versions/{id}/invocations
openapi: 3.0.0
info:
  title: Browserbase API
  description: Browserbase API for 3rd party developers
  version: v1
servers:
  - url: https://api.browserbase.com
    description: Public endpoint
    variables: {}
security:
  - BrowserbaseAuth: []
tags: []
paths:
  /v1/functions/versions/{id}/invocations:
    get:
      summary: List Invocations for a Function Version
      operationId: FunctionVersions_listInvocations
      parameters:
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            default: 0
            minimum: 0
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 20
            maximum: 100
            minimum: 1
        - name: status
          in: query
          required: false
          schema:
            type: string
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: array
                    items:
                      $ref: '#/components/schemas/Invocation'
                  total:
                    type: integer
                    minimum: 0
                required:
                  - results
                  - total
components:
  schemas:
    Invocation:
      type: object
      properties:
        id:
          type: string
          format: uuid
        projectId:
          type: string
          format: uuid
        functionId:
          type: string
          format: uuid
        versionId:
          type: string
          format: uuid
        sessionId:
          type: string
          format: uuid
        region:
          type: string
          minLength: 1
        params:
          description: JSON object that can be stored in a JSONB column
          type: object
          additionalProperties: true
          properties: {}
        status:
          type: string
          enum:
            - PENDING
            - RUNNING
            - COMPLETED
            - FAILED
        results:
          description: JSON object that can be stored in a JSONB column
          type: object
          additionalProperties: true
          properties: {}
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        startedAt:
          type: string
          format: date-time
        endedAt:
          type: string
          format: date-time
        expiresAt:
          type: string
          format: date-time
      required:
        - id
        - projectId
        - functionId
        - versionId
        - sessionId
        - status
        - createdAt
        - updatedAt
        - startedAt
        - expiresAt
  securitySchemes:
    BrowserbaseAuth:
      type: apiKey
      in: header
      name: X-BB-API-Key
      description: Your [Browserbase API Key](https://www.browserbase.com/settings).

````